Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlpi.common
Class XMLWriter

    java.lang.Object
      |
      +--com.bea.wlpi.common.XMLWriter

public class XMLWriter
extends java.lang.Object

Author:
  Copyright © 2000, 2001 BEA Systems, Inc. All Rights Reserved.

Constructor Summary
`XMLWriter(java.io.Writer writer)`

Method Summary
`void` | `putXMLNode(int indent, org.w3c.dom.Node node)` Serializes (write to storage) an XML node and its descendents.
`void` | `saveElement(int indent, java.lang.String name, boolean bEnd)`
`void` | `saveElement(int indent, java.lang.String name, boolean bEnd, boolean newLine)`
`void` | `saveElement(int indent, java.lang.String name, java.lang.String value)`
`void` | `saveElement(int indent, java.lang.String name, java.lang.String[][] attributes, boolean bEnd)`
`void` | `saveElement(int indent, java.lang.String name, java.lang.String[][] attributes, boolean bEnd, boolean newLine)`
`void` | `saveElement(int indent, java.lang.String name, java.lang.String[][] attributes, java.lang.String value)`
`static void` | `saveIndent(int indent)`
`static java.lang.StringBuffer` | `translateXMLString(java.lang.String value)`
`static void` | `write(java.lang.String value, int indent)`
`static void` | `write(java.lang.String value, int indent, boolean newLine)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XMLWriter

    public XMLWriter(java.io.Writer writer)

Method Detail

### write

    public static void write(java.lang.String value,
                             int indent)
                      throws java.io.IOException

  Parameters:
    `value` -
    `indent` -
  Throws:
    java.io.IOException -

### write

    public static void write(java.lang.String value,
                             int indent,
                             boolean newLine)
                      throws java.io.IOException

  Parameters:
    `value` -
    `indent` -
    `newLine` -
  Throws:
    java.io.IOException -

### saveIndent

    public static void saveIndent(int indent)
                           throws java.io.IOException

  Parameters:
    `indent` -
  Throws:
    java.io.IOException -

### saveElement

    public void saveElement(int indent,
                            java.lang.String name,
                            java.lang.String value)
                     throws java.io.IOException

  Parameters:
    `indent` -
    `name` -
    `value` -
  Throws:
    java.io.IOException -

### saveElement

    public void saveElement(int indent,
                            java.lang.String name,
                            java.lang.String[][] attributes,
                            java.lang.String value)
                     throws java.io.IOException

  Parameters:
    `indent` -
    `name` -
    `attributes` -
    `value` -
  Throws:
    java.io.IOException -

### saveElement

    public void saveElement(int indent,
                            java.lang.String name,
                            boolean bEnd)
                     throws java.io.IOException

  Parameters:
    `indent` -
    `name` -
    `bEnd` -
  Throws:
    java.io.IOException -

### saveElement

    public void saveElement(int indent,
                            java.lang.String name,
                            boolean bEnd,
                            boolean newLine)
                     throws java.io.IOException

  Parameters:
    `indent` -
    `name` -
    `bEnd` -
    `newLine` -
  Throws:
    java.io.IOException -

### saveElement

    public void saveElement(int indent,
                            java.lang.String name,
                            java.lang.String[][] attributes,
                            boolean bEnd)
                     throws java.io.IOException

  Parameters:
    `indent` -
    `name` -
    `attributes` -
    `bEnd` -
  Throws:
    java.io.IOException -

### saveElement

    public void saveElement(int indent,
                            java.lang.String name,
                            java.lang.String[][] attributes,
                            boolean bEnd,
                            boolean newLine)
                     throws java.io.IOException

  Parameters:
    `indent` -
    `name` -
    `attributes` -
    `bEnd` -
    `newLine` -
  Throws:
    java.io.IOException -

### putXMLNode

    public void putXMLNode(int indent,
                           org.w3c.dom.Node node)
                    throws java.io.IOException

  Serializes (write to storage) an XML node and its descendents.

  Parameters:
    `writer` - The stream to write the serialized representation of an XML element and its descendents.
    `indent` - The number of spaces to indent XML elements.
    `node` - A node to serialize, along with its attributes, and its descendents.
  Throws:
    java.io.IOException -

### translateXMLString

    public static java.lang.StringBuffer translateXMLString(java.lang.String value)

  Parameters:
    `value` -
  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Integration (WLI)